### Enumeration

# Qmi NasNetworkDescriptionEncoding

since: 1.0

#### Declaration

    enum Qmi.NasNetworkDescriptionEncoding

#### Description [src]

Type of encoding used in the network description.

Available since: 1.0

#### Members

`QMI_NAS_NETWORK_DESCRIPTION_ENCODING_UNSPECIFIED`

  Unspecified.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_NETWORK_DESCRIPTION_ENCODING_ASCII7`

  ASCII-7.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_NETWORK_DESCRIPTION_ENCODING_UNICODE`

  Unicode.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_NETWORK_DESCRIPTION_ENCODING_GSM`

  GSM 7-bit.

  - Value: `9`
  - Available since: 1.0

#### Type functions

###### qmi_nas_network_description_encoding_get_string

Gets the nickname string for the `QmiNasNetworkDescriptionEncoding` specified at `val`.

since: 1.0